/* Pointer to 64 KB sound RAM buffer */

extern byte	*snd_docram;

/* Current value of the Sound GLU control register bits */

extern int	snd_busy,snd_select,snd_auto,snd_vol;

/* Current value of the Sound GLU address register */

extern word	snd_addr_reg;

/* Table of current values for the DOC registers */

extern byte	snd_registers[256];

int SND_init(void);
void SND_update(void);
void SND_reset(void);
void SND_shutdown(void);

byte SND_readSoundCtl(byte);
byte SND_readSoundData(byte);
byte SND_readSoundAddrL(byte);
byte SND_readSoundAddrH(byte);

byte SND_writeSoundCtl(byte);
byte SND_writeSoundData(byte);
byte SND_writeSoundAddrL(byte);
byte SND_writeSoundAddrH(byte);
