#include <stdio.h>
#include <stdlib.h>

#define XGS

#define VERSION		"XGS Version 0.2"

#define ROM_FILE	"xgs.rom"
#define BRAM_FILE	"xgs.ram"
#define FONT40_FILE	"xgs40.fnt"
#define FONT80_FILE	"xgs80.fnt"

/* Typedefs for IIGS operand and address sizes */

typedef unsigned char	byte;
typedef unsigned short	word;
typedef unsigned long	address;

/* Union to split a word into two bytes. Used for endianness swapping */

typedef union {
	unsigned short	W;
	struct	{ unsigned char B1,B2; } B;
} wswap;

/* Same as above, but splits a long into four bytes */

typedef union {
	unsigned long	L;
	struct	{ unsigned char B1,B2,B3,B4; } B;
} lswap;
